#ifndef __VIEWPACSDK_H
#define __VIEWPACSDK_H

#ifdef __cplusplus
extern "C" {
#endif


#ifdef VIEWPACSDK_EXPORTS
#define VIEWPAC_API extern "C" __declspec(dllexport) 
#else
#define VIEWPAC_API extern "C" __declspec(dllimport) 
#endif

#define VIEWPAC_PRIVATE_API VIEWPAC_API

//=============================================================================
//  System Functions
//=============================================================================
VIEWPAC_API void pac_GetVIEWSDKVersion(LPSTR sdk_version);

//=============================================================================
//  LCD Backlight Functions
//=============================================================================
#define PAC_MOSTDARK 20
#define PAC_FULLON 100
VIEWPAC_API void pac_SetBackLight(int level);
VIEWPAC_API void pac_SetBackLight_Slope(int level);

//=============================================================================
//   Buzzer Functions
//=============================================================================
VIEWPAC_API void pac_BuzzerBeep(WORD count,DWORD milliseconds);
VIEWPAC_API void pac_StopBuzzer();
VIEWPAC_API void pac_SetBuzzerFreqDuty(int freq, int duty);
VIEWPAC_API void pac_GetBuzzerFreqDuty(int *freq, int *duty);

//=============================================================================
// Run L1~L3 LED Functions
//=============================================================================
VIEWPAC_API void pac_EnableVPLed(int Ln,bool bFlag);
//=============================================================================
// Error Handling API
//=============================================================================
#if 0
VIEWPAC_API DWORD	pac_GetLastError();
VIEWPAC_API void	pac_SetLastError(DWORD errno);
VIEWPAC_API void	pac_ClearLastError(DWORD errno);
VIEWPAC_API void    pac_GetErrorMessage(DWORD dwMessageID, LPTSTR lpBuffer);
#endif

#ifdef __cplusplus
}
#endif

#ifndef VIEWPACSDK_EXPORTS
#pragma comment(lib, "ViewPACSDK.lib")
#endif

#endif // __VIEWPACSDK_H
									